<template>
  <v-app>
    <v-main class="main-body">
      <NavBar></NavBar>
      {{ this.$store.state.postKontoDialog }}
      <PostKonto></PostKonto>
      <TransferFunds></TransferFunds>
      <v-container>
        <v-row class="justify-end">
          <!-- <v-btn @click="togglePostKontoDialog()"
    elevation="2"
    x-large
    color="success">+</v-btn> -->
        </v-row>        
  </v-container>
  
  <v-container class="text-center mb-2">
    <h2 class="font-weight-bold">Meine Konten</h2>
  </v-container>
      
    <v-container class="bg-surface-variant mb-6">
      <v-row>
        <v-col cols="4" v-for="(konto, kontoId) in allKontoOverview"
                :key="kontoId">
        <v-card
    class="mx-auto"
    max-width="344"
    :color="konto.color"
  >
    <!-- <v-img
      src="https://cdn.vuetifyjs.com/images/cards/sunshine.jpg"
      height="200px"
    ></v-img> -->

    <v-card-title>
      <v-img
      src="../assets/bank-account-icon.png"
      width="250px"
    ></v-img>
      {{ konto.name }}
    </v-card-title>

    <v-card-subtitle>
      {{ konto.description }}
    </v-card-subtitle>

    <v-card-actions>
      <v-btn
        color="orange lighten-2"
        text
      >
      <router-link :to="{ path: '/kontodetail/'+ konto.id}" class="nav-link nav-text" style="text-decoration:none; color: black;">Insights</router-link>
      </v-btn>

      <v-spacer></v-spacer>

      <!-- <v-btn
        icon
        @click="show = !show"
      >
        <v-icon>{{ show ? 'mdi-chevron-up' : 'mdi-chevron-down' }}</v-icon>
      </v-btn> -->
    </v-card-actions>

    <v-expand-transition>
      <div v-show="show">
        <v-divider></v-divider>

        <v-card-text>
          I'm a thing. But, like most politicians, he promised more than he could deliver. You won't have time for sleeping, soldier, not with all the bed making you'll be doing. Then we'll go with that data file! Hey, you add a one and two zeros to that or we walk! You're going to do his laundry? I've got to find a way to escape.
        </v-card-text>
      </div>
    </v-expand-transition>
  </v-card>
      </v-col>
      </v-row>
      
      
    </v-container>
    </v-main>
  </v-app>
</template>

<script>

import NavBar from '../components/NavBar';
import PostKonto from '../components/PostKonto'
import TransferFunds from '@/components/TransferFunds.vue';

export default {
  name: 'DashBoard',

  components: {
    NavBar,
    PostKonto,
    TransferFunds
  },

  data: () => ({
    //
  }),

  computed: {
    allKontoOverview() {
      return this.$store.state.allKontoOverview;
    }
  },

  mounted() {
    this.$store.dispatch("getAllKontoOveview")
  },

  methods: {
    getAllKontoOVerview() {
      this.$store.dispatch("getAllKontoOveview");
    },

    togglePostKontoDialog() {
      this.$store.state.postKontoDialog = "true"
    }
  }
};
</script>

<style scoped>
  .main-body {
    background-image: linear-gradient(to right, #0f0c29, #302b63, #24243e);
  }
</style>
